Bug 1193907 - (CVE-2021-41496) VUL-0: CVE-2021-41496: python-numpy,python2-numpy: Buffer overflow in the array_from_pyobj function of fortranobject.c allows attackers to conduct a Denial of Service attack
(CVE-2021-41496)
VUL-0: CVE-2021-41496: python-numpy,python2-numpy: Buffer overflow in the arr...
Status: IN_PROGRESS
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/317866/
CVSSv3.1:SUSE:CVE-2021-41496:5.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-20 08:36 UTC by Carlos López
Modified: 2022-07-19 19:16 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2021-12-20 08:36:27 UTC
CVE-2021-41496

Buffer overflow in the array_from_pyobj function of fortranobject.c in NumPy <
1.19, which allows attackers to conduct a Denial of Service attacks by carefully
constructing an array with negative values.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-41496
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-41496
https://github.com/numpy/numpy/issues/19000
Comment 1 Carlos López 2021-12-20 08:37:21 UTC
Affected codestreams:
 - SUSE:SLE-11-SP1:Update
 - SUSE:SLE-11-SP3:Update
 - SUSE:SLE-12:Update
 - SUSE:SLE-12-SP2:GA:Products:Update
 - SUSE:SLE-15:Update

Also affected on openSUSE:
 - openSUSE:Backports:SLE-15-SP2
 - openSUSE:Backports:SLE-15-SP3
 - openSUSE:Backports:SLE-15-SP4
 - openSUSE:Factory

There is no upstream patch for this issue yet.
Comment 2 Carlos López 2021-12-20 10:29:21 UTC
Missed python2-numpy during my initial assessment.

The *-SP2 codestreams seem to be close to EOL, and since there is no upstream patch yet, they will probably not get an update, but I'm listing them for completeness.

Affected codestreams:
 - SUSE:SLE-15:Update
 - SUSE:SLE-15-SP2:Update

Also affected on openSUSE:
 - openSUSE:Backports:SLE-15-SP2
Comment 9 Swamp Workflow Management 2022-01-18 20:20:49 UTC
SUSE-SU-2022:0118-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1193907,1193913
CVE References: CVE-2021-33430,CVE-2021-41496
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    python-numpy-1.8.0-5.11.1
SUSE Linux Enterprise Server 12-SP5 (src):    python-numpy-1.8.0-5.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-01-20 14:21:46 UTC
openSUSE-SU-2022:0134-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1193907,1193913
CVE References: CVE-2021-33430,CVE-2021-41496
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    python-numpy-1.17.3-10.1, python-numpy_1_17_3-gnu-hpc-1.17.3-10.1
Comment 11 Swamp Workflow Management 2022-01-20 14:29:10 UTC
SUSE-SU-2022:0134-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1193907,1193913
CVE References: CVE-2021-33430,CVE-2021-41496
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for HPC 15-SP3 (src):    python-numpy_1_17_3-gnu-hpc-1.17.3-10.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    python-numpy-1.17.3-10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2022-01-27 14:18:13 UTC
SUSE-SU-2022:0206-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1193907,1193913
CVE References: CVE-2021-33430,CVE-2021-41496
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for HPC 12 (src):    python-numpy_1_13_3-gnu-hpc-1.13.3-4.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2022-02-18 14:26:45 UTC
SUSE-SU-2022:0134-2: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1193907,1193913
CVE References: CVE-2021-33430,CVE-2021-41496
JIRA References: 
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    python-numpy-1.17.3-10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2022-03-31 13:18:44 UTC
SUSE-SU-2022:1064-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1193907,1193911,1193913
CVE References: CVE-2021-33430,CVE-2021-41495,CVE-2021-41496
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Python2 15-SP3 (src):    python2-numpy-1.16.5-150200.3.5.1
SUSE Linux Enterprise Module for HPC 15-SP3 (src):    python-numpy_1_16_5-gnu-hpc-1.16.5-150200.3.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2022-03-31 13:22:38 UTC
openSUSE-SU-2022:1064-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1193907,1193911,1193913
CVE References: CVE-2021-33430,CVE-2021-41495,CVE-2021-41496
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    python-numpy_1_16_5-gnu-hpc-1.16.5-150200.3.5.1, python2-numpy-1.16.5-150200.3.5.1
Comment 18 Swamp Workflow Management 2022-05-17 19:19:06 UTC
openSUSE-SU-2022:0134-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1190345,1193907,1193913
CVE References: CVE-2021-21897,CVE-2021-33430,CVE-2021-41496
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    python-numpy-1.17.3-10.1, python-numpy_1_17_3-gnu-hpc-1.17.3-10.1
openSUSE Backports SLE-15-SP3 (src):    dxflib-3.17.0-bp153.2.3.1
Comment 20 Swamp Workflow Management 2022-07-19 19:16:04 UTC
SUSE-SU-2022:2441-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1193907,1193911,1193913
CVE References: CVE-2021-33430,CVE-2021-41495,CVE-2021-41496
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    python2-numpy-1.16.5-150000.1.9.1
SUSE Linux Enterprise Server for SAP 15 (src):    python2-numpy-1.16.5-150000.1.9.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    python2-numpy-1.16.5-150000.1.9.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    python2-numpy-1.16.5-150000.1.9.1
SUSE Linux Enterprise Server 15-LTSS (src):    python2-numpy-1.16.5-150000.1.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    python-numpy_1_16_5-gnu-hpc-1.16.5-150000.1.9.1, python2-numpy-1.16.5-150000.1.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    python-numpy_1_16_5-gnu-hpc-1.16.5-150000.1.9.1, python2-numpy-1.16.5-150000.1.9.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    python-numpy_1_16_5-gnu-hpc-1.16.5-150000.1.9.1, python2-numpy-1.16.5-150000.1.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    python-numpy_1_16_5-gnu-hpc-1.16.5-150000.1.9.1, python2-numpy-1.16.5-150000.1.9.1
SUSE Enterprise Storage 6 (src):    python2-numpy-1.16.5-150000.1.9.1
SUSE CaaS Platform 4.0 (src):    python2-numpy-1.16.5-150000.1.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.